/*Constante : nom de l'url*/
const Page = window.location.pathname.substring(1);
console.log(Page);
/*Création d'un tableau*/
let MenuPrincipal = [];
/*Création d'objets*/
let Item = {'nom':'Item','url':'item.html','ordre':2};
let Article = {'nom':'Article','url':'article.html','ordre':1};
let Tarif = {'nom':'Tarif','url':'tarif.html','ordre':3};
let Menu = {'nom':'Menu','url':'menu.html','ordre':5};
let Utilisateur = {'nom':'Utilisateur','url':'utilisateur.html','ordre':4};

/*Ajout d'un objet dans un tableau*/
MenuPrincipal.push(Item);
/*Ajout d'objets dans un tableau*/
MenuPrincipal.push(Article, Tarif, Menu, Utilisateur);
/*Tri des objets du tableau par l'attribut d'objet "ordre"*/
MenuPrincipal.sort(function(a, b){return a.ordre - b.ordre});

/*Construction du menu*/
function ConstructionDuMenu(menu)
{

	/*Création d'un objet "ul"*/
	let ul = document.createElement('ul');
	/*Attribut ID de l'objet*/
	ul.id="menu-footer-ul";
	/*Ajout d'une classe (ou plusieurs)*/
	ul.classList.add('navbar-nav','me-auto','mb-2','mb-lg-0');
	/*Boucle sur tous les éléments du tableau*/
	for(let i = 0;i < menu.length;i++)
	{
		/*Affichage en mode console*/
		console.log(menu[i].nom)
		/*Création d'un objet "li"*/
		var li = document.createElement('li');
		li.classList.add('nav-item');
		/*Création d'un objet "a"*/
		var a = document.createElement('a');
		a.classList.add('nav-link');
		/*Ajout d'une classe conditionnelle à la page*/
		if(menu[i].url == Page)
		{
			/*Ajout d'une classe */
			a.classList.add('active');
		}
		else /*lien vers la page souhaitée*/
		{
			/*Attribut href de l'objet*/
			a.href = menu[i].url;
		}
		/*Texte dans la balise "a"*/
		a.innerHTML = menu[i].nom;
		
		/*insertion de a dans li*/
		li.appendChild(a);
		/*insertion de li dans ul*/
		ul.appendChild(li);
	}
	/*insertion de ul dans nav*/
	document.getElementById('menu-footer').appendChild(ul);
	/*Affichage en mode console*/
	console.log(ul);
}
/*Appe de la fonction*/
ConstructionDuMenu(MenuPrincipal);